<?php
/**
 * Plugin Name: YayMail Pro - WooCommerce Email Customizer
 * Plugin URI: www.persianscript.ir
 * Description: Create awesome transactional emails with a drag and drop email builder
 * Version: 2.4.2
 * Author: پرشین اسکریپت
 * Author URI: www.persianscript.ir
 * Text Domain: yaymail
 * WC requires at least: 3.0.0
 * WC tested up to: 5.6.0
 * Domain Path: /i18n/languages/
 */

namespace YayMail;

use YayMail\License;

defined( 'ABSPATH' ) || exit;
define( 'YAYMAIL_PREFIX', 'yaymail' );
define( 'YAYMAIL_DEBUG', true );
define( 'YAYMAIL_VERSION', '2.4.2' );
define( 'YAYMAIL_PLUGIN_URL', plugin_dir_url( __FILE__ ) );
define( 'YAYMAIL_PLUGIN_PATH', plugin_dir_path( __FILE__ ) );
define( 'YAYMAIL_PLUGIN_BASENAME', plugin_basename( __FILE__ ) );
define( 'YAYMAIL_SELLER_API_URL', 'https://yaycommerce.com/' );
define( 'YAYMAIL_ITEM_ID', 4216 );
update_option( 'yaymail_license_key', '5053a3fa-67dc-43ba-aa3d-e76a25fe697d' );
$license_info = array('expires' => 'lifetime');
update_option( 'yaymail_license_info', json_encode( $license_info ) );
spl_autoload_register(
	function ( $class ) {
		$prefix   = __NAMESPACE__;
		$base_dir = __DIR__ . '/includes';

		$len = strlen( $prefix );
		if ( strncmp( $prefix, $class, $len ) !== 0 ) {
			return;
		}

		$relative_class_name = substr( $class, $len );

		$file = $base_dir . str_replace( '\\', '/', $relative_class_name ) . '.php';

		if ( file_exists( $file ) ) {
			require $file;
		}
	}
);

if ( ! function_exists( 'install_yaymail_admin_notice' ) ) {
	function install_yaymail_admin_notice() {
		?>
			<div class="error">
			
				<p>
				<?php
				// translators: %s: search WooCommerce plugin link
				 printf( 'YayMail ' . esc_html__( 'is enabled but not effective. It requires %1$sWooCommerce%2$s in order to work.', 'yaymail' ), '<a href="' . esc_url( admin_url( 'plugin-install.php?s=woocommerce&tab=search&type=term' ) ) . '">', '</a>' );
				?>
				</p>
			</div>
		<?php
	}
}

function init( $plugin ) {

	$license = License::get_instance( __FILE__ );
	if ( ! function_exists( 'WC' ) ) {
		add_action( 'admin_notices', 'YayMail\\install_yaymail_admin_notice' );
	}

	if ( $license->get_license_key() && ! $license->is_expired ) {
		Plugin::getInstance();
		I18n::getInstance();
		Page\Settings::getInstance();
		MailBuilder\WooTemplate::getInstance();
		MailBuilder\YaymailElement::getInstance();
	}
}
add_action( 'plugins_loaded', 'YayMail\\init' );

register_activation_hook( __FILE__, array( 'YayMail\\Plugin', 'activate' ) );
register_deactivation_hook( __FILE__, array( 'YayMail\\Plugin', 'deactivate' ) );
